﻿using System;
using Xamarin.Forms;
using SQLite.Net.Platform.XamarinAndroid;
using KinveyDemo.Droid;

[assembly: Dependency(typeof(SQLite_Android))]
namespace KinveyDemo.Droid
{
    public class SQLite_Android : ISQLite
    {
        public SQLite_Android()
        {
        }

        public SQLite.Net.Interop.ISQLitePlatform GetConnection()
        {
            return new SQLitePlatformAndroid();
        }
        public string GetPath()
        {
            return System.Environment.GetFolderPath(System.Environment.SpecialFolder.Personal);
        }
    }
}
