﻿using System;
using System.Net;
using System.Collections.Generic;
using Kinvey;
using Newtonsoft.Json;
using SQLite.Net;
using SQLite.Net.Attributes;

namespace KinveyDemo
{
    [JsonObject(MemberSerialization.OptIn)]
    public class Debug : Entity
    {
        [JsonProperty("email")] public List<string> Email { get; set; }
        [JsonProperty("firstName")] public string FirstName { get; set; }

        public Debug() { }

        public override string ToString()
        {
            return string.Format("[Debug: FirstName={0}]", FirstName);
        }
    }
}
