﻿using System;
using System.Collections.Generic;
using Kinvey;
using Xamarin.Forms;
using static System.Diagnostics.Debug;

namespace KinveyDemo
{
    public partial class KinveyDemoPage : ContentPage
    {
        public KinveyDemoPage()
        {
            InitializeComponent();
        }

        void Login_Clicked(object sender, System.EventArgs e)
        {
            LoginUser();
        }

        private async void LoginUser()
        {
            try
            {
                await User.LoginAsync("shahab", "qwerty");
                WriteLine("Kinvey login done");
            }
            catch (Exception e)
            {
                WriteLine("Exeption: " + e.Message);
            }

            BtnLoadDebug.IsEnabled = true;
        }

        private async void GetData()
        {
            DataStore<Debug> dataStore = DataStore<Debug>.Collection("debug");
            List<Debug> debugs = new List<Debug>();
            debugs = await dataStore.FindAsync();
            foreach (Debug d in debugs)
            {
                LblData.Text = LblData.Text + d;
            }
        }

        void LoadDebug_Clicked(object sender, System.EventArgs e)
        {
            GetData();
        }

        protected override void OnDisappearing()
        {
            base.OnDisappearing();
            Client.SharedClient.ActiveUser.Logout();
        }
    }
}
