﻿using System;
using Kinvey;
using Xamarin.Forms;
using static System.Diagnostics.Debug;

namespace KinveyDemo
{
    public partial class App : Application
    {
        public App()
        {
            InitializeComponent();
            LoadKinvey();

            MainPage = new KinveyDemoPage();
        }

        private void LoadKinvey()
        {
            Client.Builder builder = new Client.Builder("kid_BJfQvICi-", "945edbce872949b3ba4e8de13cfbd662")
            .setFilePath(DependencyService.Get<ISQLite>().GetPath())
            .setOfflinePlatform(DependencyService.Get<ISQLite>().GetConnection());
            Client.SharedClient = builder.Build();

            WriteLine("Kinvey loaded successfully");
        }

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
